import 'dart:ffi';
import 'dart:math';

import 'package:hub/shared/helpers/sqlite_storage_helper.dart';

import '/flutter_flow/flutter_flow_util.dart';
import 'local_profile_component_widget.dart' show LocalProfileComponentWidget;
import 'package:flutter/material.dart';

///

class LocalProfileComponentModel
    extends FlutterFlowModel<LocalProfileComponentWidget> {
  final SQLiteStorageHelper db = SQLiteStorageHelper();
  String cliName = '';
  String cliUUID = '';
  VoidCallback? setStateCallback;

  @override
  void initState(BuildContext context) {
    getData();
  }

  Future<void> getData() async {
    cliName = await db
        .get(key: 'cliName', field: 'value')
        .then((value) => value.toString());
    cliUUID = await db
        .get(key: 'cliUUID', field: 'value')
        .then((value) => value.toString());
    setStateCallback?.call();
  }

  @override
  void dispose() {}
}
